/*
 *      Program do przegladania logow z ekg.
 *      Komenda - klasa bazowa.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "command-base.h"
#include "ui.h"

winmain_t * command_base_t::_main = 0;
winmain_t * command_base_t::_info = 0;
winlist_t * command_base_t::_nicks = 0;
winlist_t * command_base_t::_chats = 0;
winstatus_t * command_base_t::_status = 0;
cmdline_t * command_base_t::_cmdline = 0;
std::map<std::string, command_base_t*> * command_base_t::_cmds = 0;
bool * command_base_t::_end_program = 0;
window_t * command_base_t::_active_window = 0;
EkgLog::dBase * command_base_t::_db = 0;
const unsigned int command_base_t::max_size = 10;
ui_t * command_base_t::_ui = 0;
bool command_base_t::_db_changed = false;


void command_base_t::set_lists()
{
	_ui->set_lists();
}
